## gcc-4.4-armel-cross 1.36

=== debian/changelog ===
gcc-4.4-armel-cross (1.36) maverick; urgency=low

  * fixed list of generated packages in debian/control 

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Wed, 15 Sep 2010 11:21:56 +0200

gcc-4.4-armel-cross (1.35) maverick; urgency=low

  * split to gcc-4.4-armel-cross and gcc-4.5-armel-cross

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 14 Sep 2010 11:56:48 +0200

armel-cross-toolchain (1.34) maverick; urgency=low

  * Making improvements to package to get it accepted into Ubuntu.
    - added copyright informations
    - source/format: set to 3.0 (native)
    - added README.source with informations how package works

  * debian/control changes:
    - generated new one with all build dependencies cleaned
    - added entries for generated packages
    - added Vcs- fields
    - removed regeneration of debian/control during build
    - set Priority to extra
    - set "Section: debug" for all -dbg packages

  * debian/rules:
    - dropped version mangling which was needed in ppa
    - dropped using architecture name from rules
    - use quilt to apply patches
    - use "tar -xf" and depend on tar 1.20+

  * GCC changes:
    - updated gcc debian/control.m4 patch to fix all priority and section fields
    - all GCC patches are merged and will be present in next versions of
      gcc-4.4/4.5

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 10 Sep 2010 15:58:30 +0200

armel-cross-toolchain (1.33) maverick; urgency=low

  * sync with armel-cross-toolchain-base

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 08 Sep 2010 11:34:49 +0200

armel-cross-toolchain (1.32) maverick; urgency=low

  * build-depend on binutils-multiarch

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 07 Sep 2010 21:32:59 +0200

armel-cross-toolchain (1.31) maverick; urgency=low

  * fix setting target for gcc 4.5
  * libmudflap is now proper arch

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 07 Sep 2010 09:56:58 +0200

armel-cross-toolchain (1.30) maverick; urgency=low

  * apply patch from LP 631474 to fix plugin-dev package
  * limit to amd64/i386

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 06 Sep 2010 16:12:57 +0200

armel-cross-toolchain (1.29) maverick; urgency=low

  * Bump version 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 15:36:30 +0200

armel-cross-toolchain (1.28) maverick; urgency=low

  * Split ARCH and arch:all steps

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 14:36:18 +0200

armel-cross-toolchain (1.27) maverick; urgency=low

  * Fixed DEB_LIST to not have hardcoded host/target names and package
    versions.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 01 Sep 2010 17:46:58 +0200

armel-cross-toolchain (1.26) maverick; urgency=low

  * Imported few improvements from armel-cross-toolchain-base:
    * use DEB_LIST to populate debian/control
    * added DO_SED_HACKS
    * simplified tasks dependencies
    * started to use DEB_LIST
    * added empty binary-arch
  * gcc-4.4 is in gcc44 directory...
  * hack PKGSOURCE in gcc-4.x packaging to not be read from changelog

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 01 Sep 2010 14:26:28 +0200

armel-cross-toolchain (1.25) maverick; urgency=low

  * Dropped non-gcc steps and variables
  * Build gcc-4.4 and gcc-4.5
  * Added gcc-4.[45]-source build dependencies 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 01 Sep 2010 12:22:23 +0200

armel-cross-toolchain (1.24) maverick; urgency=low

  * First version of final gcc build.

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Mon, 30 Aug 2010 16:54:47 +0200

armel-cross-toolchain-base (1.23) maverick; urgency=low

  * Added texi2html dependency - needed by eglibc.

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Mon, 30 Aug 2010 12:30:53 +0200

armel-cross-toolchain-base (1.22) maverick; urgency=low

  * Added target libraries to LD_LIBRARY_PATH for dpkg-shlibdeps
  * Build gcc-*-base from gcc/stage2

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 30 Aug 2010 11:42:53 +0200

armel-cross-toolchain-base (1.21) maverick; urgency=low

  * More build dependencies

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 27 Aug 2010 16:28:16 +0200

armel-cross-toolchain-base (1.20) maverick; urgency=low

  * Use gcc 4.5 by default.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 27 Aug 2010 12:45:14 +0200

armel-cross-toolchain-base (1.19) maverick; urgency=low

  * Use plain Ubuntu packages and apply patches when needed. 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 26 Aug 2010 15:59:24 +0200

armel-cross-toolchain-base (1.18) maverick; urgency=low

  * Package libgcc1 in gcc/stage2

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 26 Aug 2010 15:46:09 +0200

armel-cross-toolchain-base (1.17) maverick; urgency=low

  * Split to armel-cross-toolchain-base (binutils, eglibc, linux-headers) and
    armel-cross-toolchain (gcc/stage3).

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 26 Aug 2010 11:58:33 +0200

armel-cross-toolchain (1.16) maverick; urgency=low

  * New code for generating debian/files from -armel-cross packages.
  * Removed copying of linux/debian/{control,files} as we need only
    linux-libc-dev which gets converted with dpkg-cross.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 23 Aug 2010 15:16:37 +0200

armel-cross-toolchain (1.15) maverick; urgency=low

  * Updated to versions with my changes applied. 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 23 Aug 2010 10:43:28 +0200

armel-cross-toolchain (1.14) maverick; urgency=low

  * Bumped gcc-4.4-source to newer patchset.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 11 Aug 2010 17:33:33 +0200

armel-cross-toolchain (1.13) maverick; urgency=low

  * Eglibc/stage2 tried to use Linux headers from /usr/arm-linux-gnueabi/


