## gcc-4.4-armel-cross 1.38

=== debian/changelog ===
gcc-4.4-armel-cross (1.38) natty; urgency=low

  * generate gcc-4.4-linux-gnueabi-base which was generated by
    armel-cross-toolchain-base before we switched to gcc-4.5 by 
    default - closes LP: 706838
  * point Vcs-* fields into bazaar branches on launchpad

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 24 Jan 2011 19:05:22 +0100

gcc-4.4-armel-cross (1.37) natty; urgency=low

  * rules: merge split of it from gcc-4.5-armel-cross
  * updated copyright to (C) Linaro Limited 
  * cleaned control file to not duplicate fields

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 29 Nov 2010 12:46:54 +0100
