=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.1
-Vcs-Browser: http://github.com/hrw/linaro-armel-cross-toolchain/tree/armel-cross-toolchain
-Vcs-git: git://github.com/hrw/linaro-armel-cross-toolchain.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-branches/ubuntu/natty/gcc-4.4-armel-cross/natty
+Vcs-bzr: lp:ubuntu/gcc-4.4-armel-cross
 Build-Depends: gcc-4.4-source (>= 4.4.1-14~), binutils-multiarch (>= 2.20.1-14~),
   autoconf2.64, autogen, automake (>= 1:1.11), automake (<< 1:1.12),
   binutils-arm-linux-gnueabi (>= 2.20.51.20100813-1ubuntu1), bison (>= 1:2.3),
@@ -26,8 +26,6 @@
 
 Package: gcc-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
-Section: devel
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), cpp-4.4-arm-linux-gnueabi (= ${gcc:Version}), binutils-arm-linux-gnueabi (>= ${binutils:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dep:libcdev}
 Suggests: ${gcc:multilib}, libmudflap0-4.4-dev-armel-cross (>= ${gcc:Version}), gcc-4.4-doc (>= ${gcc:SoftVersion}), gcc-4.4-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-armel-cross, libgomp1-dbg-armel-cross, libmudflap0-dbg-armel-cross, ${dep:libcloog}, ${dep:gold}
@@ -39,8 +37,6 @@
 
 Package: cpp-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
-Section: devel
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: gcc-4.4-locales (>= ${gcc:SoftVersion})
 Description: The GNU C preprocessor
@@ -54,8 +50,6 @@
 
 Package: g++-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
-Section: devel
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), gcc-4.4-arm-linux-gnueabi (= ${gcc:Version}), libstdc++6-4.4-dev-armel-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: c++-compiler-arm-linux-gnueabi, c++abi2-dev
 Suggests: ${gxx:multilib}, gcc-4.4-doc (>= ${gcc:SoftVersion}), libstdc++6-4.4-dbg-armel-cross
@@ -66,7 +60,6 @@
 
 Package: gobjc++-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), gobjc-4.4-arm-linux-gnueabi (= ${gcc:Version}), g++-4.4-arm-linux-gnueabi (= ${gcc:Version}), ${shlibs:Depends}, libobjc2-armel-cross (>= ${gcc:Version}), ${misc:Depends}
 Suggests: ${gobjcxx:multilib}, gcc-4.4-doc (>= ${gcc:SoftVersion})
 Provides: objc++-compiler-arm-linux-gnueabi
@@ -77,7 +70,6 @@
 
 Package: gobjc-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), gcc-4.4-arm-linux-gnueabi (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, libobjc2-armel-cross (>= ${gcc:Version}), ${misc:Depends}
 Suggests: ${gobjc:multilib}, gcc-4.4-doc (>= ${gcc:SoftVersion}), libobjc2-dbg-armel-cross
 Provides: objc-compiler-arm-linux-gnueabi
@@ -88,7 +80,6 @@
 
 Package: gfortran-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), gcc-4.4-arm-linux-gnueabi (= ${gcc:Version}), libgfortran3-armel-cross (>= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
 Provides: fortran95-compiler
 Suggests: ${gfortran:multilib}, gfortran-4.4-doc, libgfortran3-dbg-armel-cross
@@ -100,8 +91,6 @@
 
 Package: libstdc++6-4.4-dev-armel-cross
 Architecture: all
-Section: devel
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), g++-4.4-arm-linux-gnueabi (= ${gcc:Version}), libstdc++6-armel-cross (>= ${gcc:Version}), ${dep:libcdev}, ${misc:Depends}
 Provides: libstdc++-dev-armel-cross, libstdc++-dev-armel-dcv1, libstdc++6-dev-armel-dcv1
 Description: The GNU Standard C++ Library v3 (development files)
@@ -117,8 +106,6 @@
 
 Package: libstdc++6-4.4-pic-armel-cross
 Architecture: all
-Section: devel
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libstdc++6-armel-cross (>= ${gcc:Version}), libstdc++6-4.4-dev-armel-cross (= ${gcc:Version}), ${misc:Depends}
 Provides: libstdc++6-pic-armel-dcv1
 Description: The GNU Standard C++ Library v3 (shared library subset kit)
@@ -133,7 +120,6 @@
 Package: libstdc++6-4.4-dbg-armel-cross
 Architecture: all
 Section: debug
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libstdc++6-armel-cross (>= ${gcc:Version}), libgcc1-dbg-armel-cross, ${shlibs:Depends}, ${misc:Depends}
 Provides: libstdc++6-dbg-armel-dcv1
 Recommends: libstdc++6-4.4-dev-armel-cross (= ${gcc:Version})
@@ -147,8 +133,6 @@
 
 Package: libmudflap0-4.4-dev-armel-cross
 Architecture: all
-Section: devel
-Priority: extra
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libmudflap0-armel-cross (>= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${sug:libmudflapdev}
 Description: GCC mudflap support libraries (development files)
