=== debian/rules ===
#!/usr/bin/make -f

GCC_VER := 4.4

include debian/rules.common

#TODO: replace DEB_LIST_ALL and DEB_LIST_ARCH by foreach() or wildcards
#      will need to remember to not package libgcc1 and gcc-4.4-*-base
#      as they are part of a-c-t-base

DEB_LIST_ARCH = \
           cpp-4.4-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb \
           g++-4.4-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb \
           gcc-4.4-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb \
           gcc-4.4-${CROSS_GNU_TYPE}-base_${DEB_VER_GCC}_${HOST_ARCH}.deb \
           gfortran-4.4-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb \
           gobjc-4.4-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb \
           gobjc++-4.4-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb

DEB_LIST_ALL = \
           libstdc++6-4.4-dbg-${CROSS_ARCH}-cross_${DEB_VER_GCC}_all.deb \
           libstdc++6-4.4-dev-${CROSS_ARCH}-cross_${DEB_VER_GCC}_all.deb \
           libstdc++6-4.4-pic-${CROSS_ARCH}-cross_${DEB_VER_GCC}_all.deb \


# not finished version as it should also add what mangle-debian-files-{arch,indep} do
regenerate-debian-control:
	@cp debian/control.in debian/control
	@echo "Build-Depends: binutils-multiarch (>= 2.20.1-13~)," >>debian/control
	@echo "  gcc-4.4-source (>= 4.4.4-9ubuntu1)," >> debian/control
	@echo "  binutils-arm-linux-gnueabi (>= 2.20.51.20100813-1ubuntu1)," >>debian/control
	@echo "  libc6-dev-armel-cross (>= 2.12.1-0ubuntu1)," >> debian/control
	@echo -n "  " >>debian/control
	@perl debian/control-grab-build-depends.pl \
	    /usr/src/gcc-4.4/debian/control \
	    >> debian/control
	@echo >>debian/control
	@echo -n "Build-Conflicts: " >> debian/control
	@perl debian/control-grab-build-conflicts.pl \
	    /usr/src/gcc-4.4/debian/control \
	    >> debian/control
	@echo >>debian/control
#         $(call generate_debian_control, ../*_${HOST_ARCH}.deb)
#         $(call generate_debian_control, ../*${CROSS_ARCH}-cross*_all.deb)
