## gcc-4.4-armel-cross 1.39

=== debian/changelog ===
gcc-4.4-armel-cross (1.39) natty; urgency=low

  * "Say good bye to update-alternatives" release - LP: #676454
    - components does not register into u-a anymore - selection of default
      version is now done by gcc-defaults-armel-cross package.
    - bumped requirements to 4.4.5-15 which introduced needed changes
  * fixed path to quilt patches (not present now)
  * provide only required packages without libraries which are provided from
    gcc 4.5/4.6 packages
  * use PKG_IGNORE_CURRENTLY_BUILDING instead of NO_PKG_MANGLE to get -dbgsym
    packages - LP: #711523
  * drop old, not used code to regenerate debian/control
  * change dependencies to Debian ones

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 01 Apr 2011 12:02:56 +0200
