## gcc-4.4-armel-cross 1.40

=== debian/changelog ===
gcc-4.4-armel-cross (1.40) natty; urgency=low

  * do not ship -dbgsym packages - merged from 4.5

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 20 Apr 2011 12:18:15 +0200
