=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.1
 Vcs-Browser: https://code.launchpad.net/~ubuntu-branches/ubuntu/natty/gcc-4.4-armel-cross/natty
-Vcs-bzr: lp:ubuntu/gcc-4.4-armel-cross
-Build-Depends: gcc-4.4-source (>= 4.4.1-14~), binutils-multiarch (>= 2.20.1-14~),
+Vcs-Bzr: lp:ubuntu/gcc-4.4-armel-cross
+Build-Depends: gcc-4.4-source (>= 4.4.5-15~), binutils-multiarch (>= 2.20.1-14~),
   autoconf2.64, autogen, automake (>= 1:1.11), automake (<< 1:1.12),
-  binutils-arm-linux-gnueabi (>= 2.20.51.20100813-1ubuntu1), bison (>= 1:2.3),
+  binutils-arm-linux-gnueabi (>= 2.20.51.20100813-1~), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
-  g++-multilib [amd64 i386 mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64],
-  gperf (>= 3.0.1), libc6-dev-armel-cross (>= 2.12.1-0ubuntu1),
+  gperf (>= 3.0.1), libc6-dev-armel-cross (>= 2.11.1-0~),
   libcloog-ppl-dev (>= 0.15.9-2~), libelfg0-dev (>= 0.8.12), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
