=== debian/rules ===
#!/usr/bin/make -f

GCC_VER := 4.4

include debian/rules.common

rm-packages-$(GCC_VER): $(stamp)build-gcc
	rm -f libgcc1-*_all.deb
	rm -f libgfortran3-*_all.deb
	rm -f libgomp1-*_all.deb
	# we need libmudflap0-4.4-dev
	rm -f libmudflap0-${CROSS_ARCH}*_all.deb
	rm -f libmudflap0-dbg-*_all.deb
	rm -f libobjc2-*_all.deb
	# we need libstdc++6-4.4-*
	rm -f libstdc++6-${CROSS_ARCH}*_all.deb
