=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: gcc-4.4-armel-cross
 Section: devel
 Priority: extra
+#Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.1
-Vcs-Browser: https://code.launchpad.net/~ubuntu-branches/ubuntu/natty/gcc-4.4-armel-cross/natty
-Vcs-Bzr: lp:ubuntu/gcc-4.4-armel-cross
+Vcs-bzr: lp:ubuntu/gcc-4.4-armel-cross
 Build-Depends: gcc-4.4-source (>= 4.4.5-15~), binutils-multiarch (>= 2.20.1-14~),
   autoconf2.64, autogen, automake (>= 1:1.11), automake (<< 1:1.12),
   binutils-arm-linux-gnueabi (>= 2.20.51.20100813-1~), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
-  gperf (>= 3.0.1), libc6-dev-armel-cross (>= 2.11.1-0~),
+  gperf (>= 3.0.1), libc6-dev-armel-cross (>= 2.12.1-0~), 
   libcloog-ppl-dev (>= 0.15.9-2~), libelfg0-dev (>= 0.8.12), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
@@ -56,6 +56,47 @@
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
  .
  This package contains C++ cross-compiler for armel architecture.
+
+Package: libmudflap0-armel-cross
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GCC mudflap shared support libraries
+ The libmudflap libraries are used by GCC for instrumenting pointer and array
+ dereferencing operations.
+
+Package: libmudflap0-dbg-armel-cross
+Architecture: all
+Section: debug
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libmudflap0-armel-cross (= ${gcc:Version}), ${misc:Depends}
+Description: GCC mudflap shared support libraries (debug symbols)
+ The libmudflap libraries are used by GCC for instrumenting pointer and array
+ dereferencing operations.
+
+Package: libmudflap0-4.4-dev-armel-cross
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libmudflap0-armel-cross (>= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
+Suggests: ${sug:libmudflapdev}
+Conflicts: libmudflap0-dev
+Description: GCC mudflap support libraries (development files)
+ The libmudflap libraries are used by GCC for instrumenting pointer and array
+ dereferencing operations.
+ .
+ This package contains the headers and the static libraries.
+
+Package: libgomp1-armel-cross
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GCC OpenMP (GOMP) support library
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
+ in the GNU Compiler Collection.
+
+Package: libgomp1-dbg-armel-cross
+Architecture: all
+Section: debug
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libgomp1-armel-cross (= ${gcc:Version}), ${misc:Depends}
+Description: GCC OpenMP (GOMP) support library (debug symbols)
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
+ in the GNU Compiler Collection.
 
 Package: gobjc++-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
@@ -76,6 +117,35 @@
  This is the GNU Objective-C compiler, which compiles
  Objective-C on platforms supported by the gcc compiler. It uses the
  gcc backend to generate optimized code.
+
+Package: libobjc2-armel-cross
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Runtime library for GNU Objective-C applications
+ Library needed for GNU ObjC applications linked against the shared library.
+
+Package: libobjc2-dbg-armel-cross
+Section: debug
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libobjc2-armel-cross (= ${gcc:Version}), libgcc1-dbg-armel-cross, ${misc:Depends}
+Description: Runtime library for GNU Objective-C applications (debug symbols)
+ Library needed for GNU ObjC applications linked against the shared library.
+
+Package: libobjc3-armel-cross
+Section: devel
+Architecture: all
+Priority: extra
+Depends: gcc-${}-arm-linux-gnueabi-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Runtime library for GNU Objective-C applications
+ Library needed for GNU ObjC applications linked against the shared library.
+
+Package: libobjc3-dbg-armel-cross
+Section: debug
+Architecture: all
+Priority: extra
+Depends: gcc-${}-arm-linux-gnueabi-base (= ${gcc:Version}), libobjc3-armel-cross (= ${gcc:Version}), libgcc1-dbg-armel-cross, ${misc:Depends}
+Description: Runtime library for GNU Objective-C applications (debug symbols)
+ Library needed for GNU ObjC applications linked against the shared library.
 
 Package: gfortran-4.4-arm-linux-gnueabi
 Architecture: amd64 i386
@@ -88,6 +158,37 @@
  Fortran 95 on platforms supported by the gcc compiler. It uses the
  gcc backend to generate optimized code.
 
+Package: libgfortran3-armel-cross
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Runtime library for GNU Fortran applications
+ Library needed for GNU Fortran applications linked against the
+ shared library.
+
+Package: libgfortran3-dbg-armel-cross
+Section: debug
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libgfortran3-armel-cross (= ${gcc:Version}), ${misc:Depends}
+Description: Runtime library for GNU Fortran applications (debug symbols)
+ Library needed for GNU Fortran applications linked against the
+ shared library.
+
+Package: libstdc++6-armel-cross
+Architecture: all
+Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: libstdc++6-armel-dcv1
+Conflicts: scim (<< 1.4.2-1)
+Description: The GNU Standard C++ Library v3
+ This package contains an additional runtime library for C++ programs
+ built with the GNU compiler.
+ .
+ libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
+ was included up to g++-2.95. The first version of libstdc++-v3 appeared
+ in g++-3.0.
+ .
+ This package contains files for armel architecture, for use in cross-compile
+ environment.
+
 Package: libstdc++6-4.4-dev-armel-cross
 Architecture: all
 Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), g++-4.4-arm-linux-gnueabi (= ${gcc:Version}), libstdc++6-armel-cross (>= ${gcc:Version}), ${dep:libcdev}, ${misc:Depends}
@@ -130,12 +231,3 @@
  This package contains files for armel architecture, for use in cross-compile
  environment.
 
-Package: libmudflap0-4.4-dev-armel-cross
-Architecture: all
-Depends: gcc-4.4-arm-linux-gnueabi-base (= ${gcc:Version}), libmudflap0-armel-cross (>= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: ${sug:libmudflapdev}
-Description: GCC mudflap support libraries (development files)
- The libmudflap libraries are used by GCC for instrumenting pointer and array
- dereferencing operations.
- .
- This package contains the headers and the static libraries.
