## gcc-4.4-armel-cross 1.52

=== debian/changelog ===
gcc-4.4-armel-cross (1.52) precise; urgency=low

  * Rebuild against lasest toolchain source packages for consistency.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Apr 2012 21:49:21 -0600
